:target {
   background-color: #ffa;
}
#page {
  display: grid; 
  grid-template: 
    "leftcol leftdragbar graph " 100vw / 1fr 6px 3fr;
  height:100vh;
  height:100vh;
}

#prompt { 
   padding-left:5px;
   background-color: white;
}

#leftdragbar {
  background-color: #f5be1b;
  grid-area:leftdragbar;
  cursor: ew-resize;
  height:100vh;
}

#leftcol {
  grid-area:leftcol;
  overflow:auto;
  height:100vh;
}

#graph { 
  grid-area: graph; 
  background-color: white;
  overflow:auto;
  height:100vh;
}

#mynetwork {
  height:100vh;
  overflow:auto;
}

#table {
  background-color: white;
  font-size: 70%;
  overflow:auto;
}

#dropcontainer {
   max-width: 500px;
   margin: auto;
   flex-direction: column;
   justify-content: center;
}

input[type=file] {
  width: 350px;
  max-width: 100%;
  color: #444;
  padding: 5px;
  background: #fff;
  border-radius: 10px;
  border: 1px solid #555;
}

#upload_button {
  display: block;
  margin: auto;
  border-radius: 4px;
  text-align: center;
  height: 40px;
  padding: 0 16px;
  height: 40px;
  cursor: pointer;
  background-color: #fcec03;
  border:none;
  transition: background-color 200ms;
}

#upload_button:hover {
  background-color: #d1c21d;
}

input[type="file"]::file-selector-button {
  border-radius: 4px;
  padding: 0 16px;
  height: 40px;
  cursor: pointer;
  background-color: #fcec03;
  border:none;
  margin-right: 16px;
  transition: background-color 200ms;
}


/* file upload button hover state */
input[type="file"]::file-selector-button:hover {
  background-color: #d1c21d;
}

/* file upload button active state */
input[type="file"]::file-selector-button:active {
  background-color: #d1c21d;
}

.drop-container {
  position: relative;
  display: flex;
  gap: 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 200px;
  padding: 20px;
  border-radius: 10px;
  border: 2px dashed #555;
  color: #444;
  cursor: pointer;
  transition: background .2s ease-in-out, border .2s ease-in-out;
}

.drop-container:hover {
  background: #eee;
  border-color: #111;
}

.drop-container:hover .drop-title {
  color: #222;
}

.drop-title {
  color: #444;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  transition: color .2s ease-in-out;
}

